=== debian/control ===
Source: ess
Section: gnu-r
Priority: optional
Maintainer: Dirk Eddelbuettel <edd@debian.org>
Standards-Version: 4.1.1
Build-Depends: debhelper (>= 7.0.0)
Build-Depends-Indep: texlive-base, texlive-latex-base, texlive-latex-recommended, texlive-latex-extra, texlive-generic-recommended, texlive-extra-utils, texlive-fonts-recommended, texinfo, autotools-dev
Homepage: http://ess.r-project.org

Package: ess
Architecture: all
Depends: ${misc:Depends}, emacsen-common, dpkg (>= 1.15.4) | install-info
Recommends: r-base-core
Conflicts: dhelp (<= 0.3.12)
Suggests: xlispstat, pspp, jags, julia
Description: Emacs mode for statistical programming and data analysis
 ESS ("Emacs Speaks Statistics") is a GNU Emacs and XEmacs mode for 
 interactive statistical programming and data analysis. Languages 
 supported are the S family (S 3/4, S-PLUS 3/4/5/6/7, and R), SAS, 
 XLispStat, Stata, BUGS and Julia.
 .
 ESS grew out of the desire for bug fixes and extensions to S-mode and
 SAS-mode as well as a consistent union of their features in one
 package.
 .
 As of versions 16.04 or later, Emacs version 24 or later is required.
