## ess 18.10

=== Makefile ===
--- 
+++ 
@@ -3,39 +3,48 @@
 ## Before making changes here, please take a look at Makeconf
 include ./Makeconf
 
-ETC_FILES = # etc/SVN-REVISION  etc/ESSR-VERSION
-
-## This is the default target, i.e. 'make' and 'make all' are the same.
+## 'all' is the default target, i.e. 'make' and 'make all' are the same.
+.PHONY: all install uninstall
 all install uninstall: $(ETC_FILES)
-	cd etc; $(MAKE) $@
 	cd lisp; $(MAKE) $@
 	cd doc; $(MAKE) $@
+	cd etc; $(MAKE) $@
 
-lisp: $(ETC_FILES)
+.PHONY: version
+version:
+	@echo "********************* VERSIONS **************************"
+	@echo $(shell $(EMACS) --version | sed -n 1p)
+	@echo ESS $(ESSVERSION)
+	@echo "*********************************************************"
+
+.PHONY: lisp
+lisp: version
 	cd lisp; $(MAKE)
 
+.PHONY: doc
+doc: version
+	cd doc; $(MAKE)
+
+.PHONY: etc
+etc: version
+	cd etc; $(MAKE)
+
 .PHONY: test
-test:
+test: version
 	cd test; $(EMACS) --script run-tests
 
 generate-indent-cases:
 	cd test; $(EMACS) --script generate-indent-cases
 
+.PHONY: julia
+julia:
+	cd lisp; $(MAKE) julia-mode.el
+
+.PHONY: autoloads
+autoloads:
+	cd lisp; $(MAKE) ess-autoloads.el
+
 ## the rest of the targets are for ESS developer's use only :
-
-# VERSION:
-# 	@echo "$(ESSVERSION)" > $@
-## Hmm, this is a bit brittle ... but for distribution, there's no problem
-## no longer: using git!
-# etc/SVN-REVISION etc/SVN-REVISION-tmp: VERSION lisp/*.el doc/*.texi doc/Makefile etc/Makefile lisp/Makefile Makefile Makeconf
-# 	(LC_ALL=C TZ=GMT svn info || $(ECHO) "Revision: unknown") 2> /dev/null \
-# 	    | sed -n -e '/^Revision/p' -e '/^Last Changed Date/'p \
-# 	    | cut -d' ' -f1,2,3,4 > $@-tmp
-# 	if [ -s $@-tmp ]; then mv $@-tmp $@ ; elif [ ! -f $@ ]; then echo 'not available' > $@ ; fi
-
-# etc/ESSR-VERSION: etc/ESSR/DESCRIPTION
-# 	sed -n '/^Version: */{ s///; s/ *$$//p }' $< > $@
-
 
 ## --- PRE-release ---
 
@@ -45,16 +54,27 @@
 	@echo "**********************************************************"
 	@echo "** Making distribution of ESS for (pre)release $(ESSVERSION) from $(ESSDIR)/"
 	@echo "** Creating .tgz file **"
+	cd doc/ ; $(MAKE) pdf
+	cd doc/ ; $(MAKE) html
 	test -f $(ESSDIR).tgz && rm -rf $(ESSDIR).tgz || true
 	$(GNUTAR) hcvofz $(ESSDIR).tgz $(ESSDIR)
+	@echo "Signing tgz file"
+	$(GPG) -ba -o $(ESSDIR).tgz.sig $(ESSDIR).tgz
 	@echo "** Creating .zip file **"
 	test -f $(ESSDIR).zip && rm -rf $(ESSDIR).zip || true
 	zip -r $(ESSDIR).zip $(ESSDIR)
+	@echo "Signing zip file"
+	$(GPG) -ba -o $(ESSDIR).zip.sig $(ESSDIR).zip
 	touch $@
 
 # Create the "release" directory
 # run in the foreground so you can accept the certificate
-$(ESSDIR): all RPM.spec cleanup-dist
+# NB 'all', 'cleanup-dist' must not be targets: otherwise, e.g.
+#    'make tarball' re-builds the tarballs always!
+$(ESSDIR): RPM.spec
+	$(MAKE) all
+#	remove previous ESSDIR, etc:
+	$(MAKE) cleanup-dist
 	@echo "**********************************************************"
 	@echo "** Making $(ESSDIR) directory of ESS for release $(ESSVERSION),"
 	@echo "** (must have setup git / github with cached authentication, prior for security)"
@@ -79,19 +99,19 @@
 
 dist: VERSION tarballs
 	grep -E 'defvar ess-(version|revision)' lisp/ess-custom.el \
-	  $(ESSDIR)/lisp/ess-custom.el
-	touch $@
+	  $(ESSDIR)/lisp/ess-custom.el > $@
 
-.PHONY: cleanup-dist cleanup-rel dist
+.PHONY: cleanup-dist cleanup-rel
 cleanup-dist:
 	@echo "** Cleaning up **"
 	rm -f $(ESSDIR)/etc/.IS.RELEASE $(ESSDIR)/etc/git-ref
 	(if [ -d $(ESSDIR) ] ; then \
 	  chmod -R u+w $(ESSDIR) $(ESSDIR)-git && rm -rf $(ESSDIR) $(ESSDIR)-git; fi)
+
 ##  should only be called manually (if at all):
 cleanup-rel:
-	@rm -f $(ESSDIR)*
-##	@rm -f dist lisp/dist $(ESSDIR)*
+#	@rm -rf $(ESSDIR)*
+	@rm -f tarballs dist tag homepage upload rel
 
 %.spec: %.spec.in VERSION
 	sed 's/@@VERSION@@/$(ESSVERSION)/g' $< > $@
@@ -112,13 +132,20 @@
 	@rm ChangeLog.old
 	git commit -m 'Version $(ESSVERSION)' ChangeLog
 
+
 tag:
 	@echo "** Tagging the release **  1) pull existing;  2) tag  3) push it"
 	git pull --tags
-	git tag -a -m'release tagging' v$(ESSVERSION)
+	@echo "Creating tag (no signing, as that fails for MM)"
+	git tag -m'release tagging' v$(ESSVERSION)
 	@echo '** Pushing the 	v$(ESSVERSION)  upstream ...'
 	git push origin v$(ESSVERSION)
 	@touch $@
+
+# signing fails for MM (gpg2 / gpg ??) --> use a non-signed tag above
+
+# @echo "Creating tag and signing using $(GPG)"
+# git tag -s -m'release tagging' v$(ESSVERSION)
 
 homepage:
 	@echo "** Updating ESS Webpage **"
@@ -128,8 +155,8 @@
 
 upload:
 	[ x$$USER = xmaechler ] || (echo 'must be maechler'; exit 1 )
-	@echo "** Placing .tgz and .zip files **"
-	cp -p $(ESSDIR).tgz $(ESSDIR).zip $(UPLOAD_DIR)
+	@echo "** Placing .tgz and .zip files and their .sig's **"
+	cp -p $(ESSDIR).tgz $(ESSDIR).tgz.sig $(ESSDIR).zip $(ESSDIR).zip.sig $(UPLOAD_DIR)
 	@echo "** Creating LATEST.IS. file **"
 	rm -f $(UPLOAD_DIR)/LATEST.IS.*
 	touch $(UPLOAD_DIR)/LATEST.IS.$(ESSDIR)
@@ -142,7 +169,8 @@
 	touch $@
 
 
-## TODO (when MM has GPG set up properly): add this to 'rel'
+## NB: The rpm (SuSE, RH, FC) and debian packages are built *and* signed
+##     by the down stream maintainers:
 .PHONY: buildrpm
 buildrpm: dist
 	rpmbuild -ta --sign $(ESSDIR).tgz
@@ -150,11 +178,10 @@
 builddeb:
 	dpkg-buildpackage -uc -us -rfakeroot -tc
 
-
+## Old Note (clean and distclean are now the same):
 ## 'clean'     shall remove *exactly* those things that are *not* in version control
 ## 'distclean' removes also things in VC (svn, when they are remade by "make"):
 clean distclean: cleanup-dist
 	cd etc; $(MAKE) $@
 	cd lisp; $(MAKE) $@
 	cd doc; $(MAKE) $@
-#	rm -f etc/SVN-REVISION*
