=== debian/changelog ===
ess (18.10-1xenial0) xenial; urgency=medium

  * Compilation for Ubuntu 16.04.4 LTS
  * debian/control, revert to a version of emacsen-common that is
    available

 -- Michael Rutter <marutter@gmail.com>  Sun, 21 Oct 2018 14:40:33 +0000

ess (18.10-1) unstable; urgency=medium

  * New upstream version released today

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 20 Oct 2018 15:53:28 -0500

ess (17.11-5) unstable; urgency=medium

  * Rebuilding for Debian unstable			(Closes: #907165)

  * debian/README.Debian: Added

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 24 Aug 2018 06:57:53 -0500

ess (17.11-4) experimental; urgency=medium

  [David Bremner]
  * experimental conversion to dh_elpa

  [Dirk Eddelbuettel]
  * Applied David's patch, adding transition package ess, tweaks
  * Many thanks to David for the help in converting to an elpa package

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 18 Aug 2018 16:02:02 -0500
