=== debian/rules ===
#!/usr/bin/make -f
#-*- makefile -*-
# Made with the aid of dh_make, by Craig Small
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# Some lines taken from debmake, by Christoph Lameter.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
#export DH_COMPAT=1

## edd 16 May 2008  trivial 'orig.tar.gz' creator
##                  technically, this could be a native Debian package as
##                  the debian/ is in upstream SVN but it is easier to have
##                  another degree of freedom for Debian revisions
##                  if we used just the svn rev: version := $(shell svnversion)
## edd 04 Oct 2008  use changelog entry instead
version := $(shell head -1 debian/changelog | perl -nle 'm/\((\S+)-\d\)/ && print $$1')

showversion:
	@echo Version is ${version}

tarball:
	(cd .. && \
		tar czf tarballs/ess_${version}.orig.tar.gz ess \
			--exclude=.svn \
			--exclude=.git \
			--exclude=debian )

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp:
	dh_testdir

	chmod -R u+w *

#	$(MAKE) -C doc ess.dvi
#	$(MAKE) -C doc readme.dvi
#	$(MAKE) -C doc
	(cd doc; $(MAKE) all; $(MAKE) info; $(MAKE) pdf; $(MAKE) html; cd -)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot

	chmod -R u+w *

	rm -f build-stamp install-stamp doc/*.info*

	[ ! -f Makefile ] || $(MAKE) clean

	rm -f doc/*.dvi #README ANNOUNCE doc/html/readme.html doc/html/ess.html
	rm -f doc/refcard/refcard.log doc/refcard/refcard.aux

	rm -f lisp/ess-pkg.el
	dh_clean

install: install-stamp
install-stamp: build-stamp
	dh_testdir
	dh_testroot
	dh_prep 
	dh_installdirs

#	cd doc ; $(MAKE) install PREFIX=`pwd`/debian/ess
#	! [ -e debian/ess/usr/share/emacs/site-lisp/ess/ess-site.el ] || \
#	    chmod u+w debian/ess/usr/share/emacs/site-lisp/ess/ess-site.el
	sed -i -e 's,(defvar ess-etc-directory nil,(defvar ess-etc-directory "/usr/share/ess/etc/",1'\
	    -e 's,(while (and (listp ess-etc,(while (and (not ess-etc-directory) (listp ess-etc,1' \
		lisp/ess-site.el
	cp -vax debian/ess-pkg.el lisp/
	dh_elpa
#	mkdir -p debian/elpa-ess/usr/share/ess
#	cp -a etc debian/elpa-ess/usr/share/ess/
	(cd debian/elpa-ess/usr/share/emacs/site-lisp/elpa-src/ess-*/etc/ && rm -f BACKBUGS.BAT ess-sas-sh-command backbug*)

	touch install-stamp

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installemacsen
	dh_installinfo $$(find doc -type f -name "*.info*")
	dh_installchangelogs 
	rm -fv debian/ess/usr/share/doc/elpa-ess/ChangeLog
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
binary-arch: build install

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
