## ess 18.10-1

=== debian/changelog ===
ess (18.10-1-2xenial0) xenial; urgency=medium

  * Compilation for Ubuntu 16.04.4 LTS
  * debian/control, revert to a version of emacsen-common that is
    available

 -- Michael Rutter <marutter@gmail.com>  Fri, 26 Oct 2018 01:48:36 +0000

ess (18.10-1-2) unstable; urgency=medium

  * debian/rules: No longer modify ess-site.el

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 24 Oct 2018 10:05:16 -0500

ess (18.10-1-1) unstable; urgency=medium

  * New upstream version released today

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 23 Oct 2018 19:59:57 -0500
